"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateKarmaConfigFile = void 0;
const path = require("path");
const fs = require("fs");
const hbs = require("handlebars");
const autorestSession_1 = require("../../autorestSession");
function generateKarmaConfigFile(project) {
    const { generateTest, restLevelClient } = autorestSession_1.getAutorestOptions();
    if (!generateTest || !restLevelClient) {
        return;
    }
    const metadata = {};
    const file = fs.readFileSync(path.join(__dirname, "karma.conf.js.hbs"), {
        encoding: "utf-8"
    });
    const karmaConfigFileContents = hbs.compile(file, { noEscape: true });
    project.createSourceFile("karma.conf.js", karmaConfigFileContents(metadata), {
        overwrite: true
    });
}
exports.generateKarmaConfigFile = generateKarmaConfigFile;
//# sourceMappingURL=karmaConfigFileGenerator.js.map