"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateEnvFile = void 0;
const path = require("path");
const fs = require("fs");
const hbs = require("handlebars");
const autorestSession_1 = require("../../autorestSession");
function generateEnvFile(project) {
    const { generateTest, restLevelClient } = autorestSession_1.getAutorestOptions();
    if (!generateTest || !restLevelClient) {
        return;
    }
    const metadata = {};
    const file = fs.readFileSync(path.join(__dirname, "rlcEnv.ts.hbs"), {
        encoding: "utf-8"
    });
    const envFileContents = hbs.compile(file, { noEscape: true });
    project.createSourceFile("test/public/utils/env.ts", envFileContents(metadata), {
        overwrite: true
    });
}
exports.generateEnvFile = generateEnvFile;
//# sourceMappingURL=envFileGenerator.js.map