"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRecordedClientFile = void 0;
const path = require("path");
const fs = require("fs");
const hbs = require("handlebars");
const autorestSession_1 = require("../../autorestSession");
function generateRecordedClientFile(project) {
    const { generateTest, restLevelClient } = autorestSession_1.getAutorestOptions();
    if (!generateTest || !restLevelClient) {
        return;
    }
    const metadata = {};
    const file = fs.readFileSync(path.join(__dirname, "rlcRecordedClient.ts.hbs"), {
        encoding: "utf-8"
    });
    const recordedClientFileContents = hbs.compile(file, { noEscape: true });
    project.createSourceFile("test/public/utils/recordedClient.ts", recordedClientFileContents(metadata), {
        overwrite: true
    });
}
exports.generateRecordedClientFile = generateRecordedClientFile;
//# sourceMappingURL=recordedClientFileGenerator.js.map