"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateSampleTestFile = void 0;
const path = require("path");
const fs = require("fs");
const hbs = require("handlebars");
const autorestSession_1 = require("../../autorestSession");
function generateSampleTestFile(project) {
    const { generateTest, restLevelClient } = autorestSession_1.getAutorestOptions();
    if (!generateTest) {
        return;
    }
    const metadata = {};
    if (restLevelClient) {
        const file = fs.readFileSync(path.join(__dirname, "rlcSampleTest.spec.ts.hbs"), {
            encoding: "utf-8"
        });
        const readmeFileContents = hbs.compile(file, { noEscape: true });
        project.createSourceFile("test/public/sampleTest.spec.ts", readmeFileContents(metadata), {
            overwrite: true
        });
    }
    else {
        const file = fs.readFileSync(path.join(__dirname, "sampleTest.ts.hbs"), {
            encoding: "utf-8"
        });
        const readmeFileContents = hbs.compile(file, { noEscape: true });
        project.createSourceFile("test/sampleTest.ts", readmeFileContents(metadata), {
            overwrite: true
        });
    }
}
exports.generateSampleTestFile = generateSampleTestFile;
//# sourceMappingURL=sampleTestGenerator.js.map