"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addTracingOperationImports = void 0;
const autorestSession_1 = require("../../autorestSession");
/**
 * Adds the required imports to have operations tracing
 * @param param0 clientDetails
 * @param sourceFile File to add imports to
 */
function addTracingOperationImports(sourceFile, traverseToRoot = "..") {
    const { tracingInfo } = autorestSession_1.getAutorestOptions();
    if (tracingInfo) {
        sourceFile.addImportDeclarations([
            {
                namedImports: ["CanonicalCode"],
                moduleSpecifier: "@opentelemetry/api"
            },
            {
                namedImports: ["createSpan"],
                moduleSpecifier: `${traverseToRoot}/tracing`
            }
        ]);
    }
}
exports.addTracingOperationImports = addTracingOperationImports;
//# sourceMappingURL=tracingUtils.js.map