import { ConstantSchema, DictionarySchema, PrimitiveSchema, Schema, SchemaContext } from "@autorest/codemodel";
/**
 * Get the Typescript type to generate from an Schema
 * @param schema - Schema to find element type for
 * @param importedModels - Set to track models to import
 */
export declare function getElementType(schema: Schema, schemaUsage: SchemaContext[], importedModels?: Set<string>): string;
/**
 * Given a primitive schema, determines the Typescript type to generate
 * @param schema - Schema to generate a type for
 * @returns a string with the Typescript type to generate for the given schema
 */
export declare function primitiveSchemaToType(schema: PrimitiveSchema, schemaUse: SchemaContext[]): string;
export declare function isDictionarySchema(schema: Schema): schema is DictionarySchema;
export declare function isConstantSchema(schema: Schema): schema is ConstantSchema;
/**
 * Gets additional documentation for a given schema
 */
export declare function getFormatDocs(schema: Schema): "Value may contain base64 encoded characters" | "Value may contain any sequence of octets" | "Value may contain a password" | "Value may contain a UUID" | "Value may contain a URL" | undefined;
//# sourceMappingURL=schemaHelpers.d.ts.map